Uploaded image for project: 'Grouper'
  1. Grouper
  2. GRP-2300

LDAP loader in UI shows subject attribute as required differently from wiki

    XMLWordPrintable

Details

    • Bug
    • Status: Resolved
    • Minor
    • Resolution: Unresolved
    • 2.4.0, 2.3.0.patch
    • None
    • UI
    • None

    Description

      The wiki states for LDAP loaders:

      https://spaces.at.internet2.edu/display/Grouper/Grouper+-+Loader+LDAP

       

      • name: grouperLoaderLdapSubjectAttribute
      • display name: Grouper loader LDAP subject attribute name
      • required? required, for LDAP_SIMPLE, and LDAP_GROUP_LIST, optional for LDAP_GROUPS_FROM_ATTRIBUTES
      • description: Attribute name of the filter object result that holds the subject id.

      However, the UI shows this field is required (has the required field asterisk) for LDAP_GROUPS_FROM_ATTRIBUTES, and not required form LDAP_GROUP_LIST. For an attribute loader, you can still leave it blank and there are no errors, despite it looking required. For a group loader, however, it doesn't show it as required, but there is still a UI error of "Subject attribute name is required when loader type is LDAP_SIMPLE or LDAP_GROUP_LIST" if you don't put it in.

      Attachments

        Activity

          People

            chad.redman@at.internet2.edu Chad Redman (unc.edu)
            chad.redman@at.internet2.edu Chad Redman (unc.edu)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:

              Smart Checklist